<?php
$runtime= new runtime;
$runtime->start();
class runtime
{ 
    var $StartTime = 0; 
    var $StopTime = 0; 
    function get_microtime() 
    { 
        list($usec, $sec) = explode(' ', microtime()); 
        return ((float)$usec + (float)$sec); 
    } 
    function start() 
    { 
        $this->StartTime = $this->get_microtime(); 
    } 
    function stop() 
    { 
        $this->StopTime = $this->get_microtime(); 
    } 
    function spent() 
    { 
        return round(($this->StopTime - $this->StartTime) * 1000, 1); 
    } 
}

header("content-Type: text/html; charset=utf-8");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

$sysReShow = (false !== ($sysInfo = sysInfo()))?"show":"none";
function sysInfo()
{
// UPTIME
        if (false === ($str = @file("/proc/uptime"))) return false;
        $str = explode(" ", implode("", $str));
        $str = trim($str[0]);
        $min = $str / 60;
        $hours = $min / 60;
        $days = floor($hours / 24);
        $hours = floor($hours - ($days * 24));
        $min = floor($min - ($days * 60 * 24) - ($hours * 60));
        if ($days !== 0) $res['uptime'] = $days."天";
        if ($hours !== 0) $res['uptime'] .= $hours."小时";
        $res['uptime'] .= $min."分钟";
// FREETIME
        if (false === ($str = @file("/proc/uptime"))) return false;
        $str = explode(" ", implode("", $str));
        $str = trim($str[1]);
        $min = $str / 60;
        $hours = $min / 60;
        $days = floor($hours / 24);
        $hours = floor($hours - ($days * 24));
        $min = floor($min - ($days * 60 * 24) - ($hours * 60));
        if ($days !== 0) $res['freetime'] = $days."天";
        if ($hours !== 0) $res['freetime'] .= $hours."小时";
        $res['freetime'] .= $min."分钟";
        return $res;
}

$net="eth1:";  //网卡编号

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SysInfo</title>
</head>
<body>
<?php
echo "Hello ! <br/><br/>\n";
if("show"==$sysReShow){
	echo "运行时间:".$sysInfo['uptime']."\n";
	echo "<br/>\n";
	echo "空闲时间:".$sysInfo['freetime']."\n";
	echo "<br/><br/>\n";
}


system("/bin/cat /proc/loadavg | awk '{print \"系统负载: \"$1\" \"$2\" \"$3\" \"$4}'");
echo "<br/><br/>\n";
system("/bin/df -h | grep \"/dev/\" | grep -v \"tmp\" | awk -F'/dev/' '{print $2}' | awk '{print \"硬盘共有: \"$2}'");
echo "<br/>\n";
system("/bin/df -h | grep \"/dev/\" | grep -v \"tmp\" | awk -F'/dev/' '{print $2}' | awk '{print \"硬盘已用: \"$3}'");
echo "<br/>\n";
system("/bin/df -h | grep \"/dev/\" | grep -v \"tmp\" | awk -F'/dev/' '{print $2}' | awk '{print \"硬盘可用: \"$4}'");
echo "<br/>\n";
system("/bin/df -h | grep \"/dev/\" | grep -v \"tmp\" | awk -F'/dev/' '{print $2}' | awk '{print \"硬盘已用比例: \"$5}'");
echo "<br/><br/>\n";
system("/usr/bin/free -m | grep Mem | awk '{print \"Mem共有: \"$2\"MB\"}'");
echo "<br/>\n";
system("/usr/bin/free -m | grep Mem | awk '{print \"Mem已使用: \"$3\"MB\"}'");
echo "<br/>\n";
system("/usr/bin/free -m | grep Mem | awk '{print \"Buffers化内存: \"$6\"MB\"}'");
echo "<br/>\n";
system("/usr/bin/free -m | grep Mem | awk '{print \"Cached化内存: \"$7\"MB\"}'");
echo "<br/>\n";
system("/usr/bin/free -m | grep Mem | awk '{print \"Mem空闲: \"$4\"MB\"}'");
echo "<br/>\n";
system("/usr/bin/free -m | grep buffers/cache: | awk '{print \"Men实际已用: \"$3\"MB\"}'");
echo "<br/>\n";
system("/usr/bin/free -m | grep buffers/cache: | awk '{print \"Mem实际空闲: \"$4\"MB\"}'");
echo "<br/>\n";
echo "<br/>\n";
$runtime->stop();
echo "页面执行时间: ".$runtime->spent()." 毫秒";
echo "<br/><br/>\n";
?>

<table width="400"><?php
if (false === ($str = @file("/proc/net/dev"))) return false;
for($i=2;$i<count($str);$i++){
        preg_match_all( "/([^\s]+):[\s]{0,}(\d+)\s+(\d+)\s+(\d+)\s+(\d+)\s+(\d+)\s+(\d+)\s+(\d+)\s+(\d+)\s+(\d+)\s+(\d+)\s+(\d+)/", $str[$i], $info );
        echo "<tr><td>".$info[1][0].":</td><td>已接收:".round($info[2][0]/1024/1024, 2)."MB</td><td>已发送:".round($info[10][0]/1024/1024, 2)."MB</td></tr>";
}
?></table>
</body>
</html>